summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-06-08 06:38:05 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-06-08 06:38:05 +0000
commitdc928c8013684dcf99661d7fbde18ee31a56324f (patch)
tree18d413650ac1fed054b5b6b11ba41c0c1302bc4b /dev-python
parentc7de950cc674c81d06538441106a69e1bdce00c2 (diff)
downloadbaldeagleos-repo-dc928c8013684dcf99661d7fbde18ee31a56324f.tar.gz
baldeagleos-repo-dc928c8013684dcf99661d7fbde18ee31a56324f.tar.xz
baldeagleos-repo-dc928c8013684dcf99661d7fbde18ee31a56324f.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aiohttp/Manifest1
-rw-r--r--dev-python/aiohttp/aiohttp-3.12.11.ebuild158
-rw-r--r--dev-python/clang/Manifest4
-rw-r--r--dev-python/clang/clang-20.1.5.ebuild54
-rw-r--r--dev-python/clang/clang-21.0.0_pre20250607.ebuild (renamed from dev-python/clang/clang-21.0.0_pre20250523.ebuild)0
-rw-r--r--dev-python/docker/docker-7.1.0.ebuild4
-rw-r--r--dev-python/httpx-socks/Manifest1
-rw-r--r--dev-python/httpx-socks/httpx-socks-0.10.1.ebuild52
-rw-r--r--dev-python/jsonschema-path/Manifest1
-rw-r--r--dev-python/jsonschema-path/jsonschema-path-0.4.0_beta1.ebuild46
-rw-r--r--dev-python/lit/Manifest4
-rw-r--r--dev-python/lit/lit-20.1.5.ebuild46
-rw-r--r--dev-python/lit/lit-21.0.0_pre20250607.ebuild (renamed from dev-python/lit/lit-21.0.0_pre20250523.ebuild)0
-rw-r--r--dev-python/numpy/Manifest1
-rw-r--r--dev-python/numpy/numpy-2.3.0.ebuild199
-rw-r--r--dev-python/openapi-spec-validator/Manifest2
-rw-r--r--dev-python/openapi-spec-validator/openapi-spec-validator-0.7.2.ebuild50
-rw-r--r--dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0_beta1.ebuild49
-rw-r--r--dev-python/pathable/Manifest1
-rw-r--r--dev-python/pathable/pathable-0.5.0_beta2.ebuild35
-rw-r--r--dev-python/uv/uv-0.7.8.ebuild2
21 files changed, 601 insertions, 109 deletions
diff --git a/dev-python/aiohttp/Manifest b/dev-python/aiohttp/Manifest
index 58d35a776e17..18c5cf4656c8 100644
--- a/dev-python/aiohttp/Manifest
+++ b/dev-python/aiohttp/Manifest
@@ -1,4 +1,5 @@
DIST aiohttp-3.11.14.tar.gz 7676994 BLAKE2B e8e048c01db9600df3bdc7bdc6e5066094b4575d08fef3ec7d0a78763a701cd3501dce435b80d3fbea28d2e7bf4110a5cc9e0ccec2bc3745835cadcb27528404 SHA512 38e51d3640b533d9bd639a59657bf7affbfc0b1a9dc40d77175d6528044e23b1e524589b9a10e0159eb8f9ba29e96b3e67529a9d11f1c53760a70800d813d13f
DIST aiohttp-3.11.18.tar.gz 7678653 BLAKE2B 5886778fd0456ef40f1da5abd3d6a3864db03fad01d53755bb34afd77152da338480ba534c5dc1574bd5aa178943ec52814f1ceff736d668868803b19f6c102f SHA512 9b25ad5f9800cd84014c55f6a4f7ac217a788a43e301a83c18667b6f294388adf53c81360fd3219007b10b42ce165331dad1907582dc9d3081fd8585b5bcd042
DIST aiohttp-3.12.10.tar.gz 7810445 BLAKE2B facab7e18040a9d2cdb8281426b54d2d7cbbc2ba0c7dc41c90d93ebf45566d5a305efe453ca6ce181c07a47b7f67b6f271922e8eb2926060228fc42ad62f3f24 SHA512 a58a52c992b3a1ae3e2d307b0113efe52a26a84b40196bc1ec9e2e167c38c5223371cd2a78a3077fb5e1d987e55b498e3af9dc6a64141ebfb9e338793fed3f4d
+DIST aiohttp-3.12.11.tar.gz 7814403 BLAKE2B c08c9ad1a8d194e3d50e92c3c42f50031c0e6592eaab19fc80a4a80ae3a1ce63218b4c54307fed137c83a759207909a5023320e3906aa717944cfdc046457a10 SHA512 9be3e04fad4b2d3b3a72fdfb4a0cfb1cfbe19d3e2beb4589166c6f6aad017e42d4164a0fa542a18935e86cbffdf8c7f20a261a99ba7bcead42ce0f8a1b783b4e
DIST aiohttp-3.12.9.tar.gz 7810207 BLAKE2B 352fea5e4580781626e414118d24bc7817bb488d2dd83d0690e67f8308fa12c9d4dd4a9ab80e1222fa06b37047469a5c87c33b7b5aea84627ec7151151cd96f4 SHA512 afd7e25a3e762eecf96a7e335bfb42e5becc5df3eb4de73c0c40995508ec736a100375fdc70d51e04f2b4e0f154a20a10d5090f9c0b11aae662d3bf23f49b9a4
diff --git a/dev-python/aiohttp/aiohttp-3.12.11.ebuild b/dev-python/aiohttp/aiohttp-3.12.11.ebuild
new file mode 100644
index 000000000000..562da68a921d
--- /dev/null
+++ b/dev-python/aiohttp/aiohttp-3.12.11.ebuild
@@ -0,0 +1,158 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="HTTP client/server for asyncio"
+HOMEPAGE="
+ https://github.com/aio-libs/aiohttp/
+ https://pypi.org/project/aiohttp/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~riscv ~s390 ~x86"
+IUSE="+native-extensions test-rust"
+
+DEPEND="
+ native-extensions? (
+ $(python_gen_cond_dep '
+ net-libs/llhttp:=
+ ' 'python3*')
+ )
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/aiodns-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/aiohappyeyeballs-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/aiosignal-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/attrs-17.3.0[${PYTHON_USEDEP}]
+ dev-python/brotlicffi[${PYTHON_USEDEP}]
+ >=dev-python/frozenlist-1.1.1[${PYTHON_USEDEP}]
+ >=dev-python/multidict-4.5.0[${PYTHON_USEDEP}]
+ >=dev-python/propcache-0.2.0[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.17.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/multidict-4.5.0[${PYTHON_USEDEP}]
+ native-extensions? (
+ >=dev-python/cython-3.1.1[${PYTHON_USEDEP}]
+ dev-python/pkgconfig[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/blockbuster[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/isal[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/re-assert[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/time-machine[${PYTHON_USEDEP}]
+ ' 'python3*')
+ dev-python/zlib-ng[${PYTHON_USEDEP}]
+ www-servers/gunicorn[${PYTHON_USEDEP}]
+ test-rust? (
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+DOCS=( CHANGES.rst CONTRIBUTORS.txt README.rst )
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # increase the timeout a little
+ sed -e '/abs=/s/0.001/0.01/' -i tests/test_helpers.py || die
+ # xfail_strict fails on py3.10
+ sed -i -e '/--cov/d' -e '/pytest_cov/d' -e '/xfail_strict/d' setup.cfg || die
+ sed -i -e 's:-Werror::' Makefile || die
+ # remove vendored llhttp
+ rm -r vendor || die
+}
+
+python_configure() {
+ # check for .install-cython, so that we do this only once
+ if [[ ! -f .install-cython && ${EPYTHON} != pypy3 ]] &&
+ use native-extensions
+ then
+ # force rehashing first
+ emake requirements/.hash/cython.txt.hash
+ > .update-pip || die
+ > .install-cython || die
+ emake cythonize
+ fi
+}
+
+python_compile() {
+ local -x AIOHTTP_USE_SYSTEM_DEPS=1
+ # implicitly disabled for pypy3
+ if [[ ${EPYTHON} == pypy3* ]] || ! use native-extensions; then
+ local -x AIOHTTP_NO_EXTENSIONS=1
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # proxy is not packaged
+ tests/test_proxy_functional.py
+ # python_on_whales is not packaged
+ tests/autobahn/test_autobahn.py
+ # benchmarks
+ tests/test_benchmarks_client.py
+ tests/test_benchmarks_client_request.py
+ tests/test_benchmarks_client_ws.py
+ tests/test_benchmarks_cookiejar.py
+ tests/test_benchmarks_http_websocket.py
+ tests/test_benchmarks_http_writer.py
+ tests/test_benchmarks_web_fileresponse.py
+ tests/test_benchmarks_web_middleware.py
+ tests/test_benchmarks_web_response.py
+ tests/test_benchmarks_web_urldispatcher.py
+ )
+
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/test_client_session.py::test_client_session_timeout_zero
+ tests/test_connector.py::test_tcp_connector_ssl_shutdown_timeout_nonzero_passed
+ tests/test_connector.py::test_tcp_connector_ssl_shutdown_timeout_passed_to_create_connection
+ tests/test_connector.py::test_tcp_connector_ssl_shutdown_timeout_zero_not_passed
+ # broken by irrelevant deprecation warnings
+ tests/test_circular_imports.py::test_no_warnings
+ )
+
+ case ${EPYTHON} in
+ python3.14)
+ EPYTEST_DESELECT+=(
+ # TODO
+ tests/test_cookiejar.py::test_pickle_format
+ # different exception message
+ tests/test_client_functional.py::test_aiohttp_request_coroutine
+ )
+ ;;
+ esac
+
+ # upstream unconditionally blocks building C extensions
+ # on PyPy3 but the test suite needs an explicit switch
+ if [[ ${EPYTHON} == pypy3* ]] || ! use native-extensions; then
+ local -x AIOHTTP_NO_EXTENSIONS=1
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_mock,xdist.plugin
+ rm -rf aiohttp || die
+ epytest -m "not internal and not dev_mode" \
+ -p rerunfailures --reruns=5
+}
diff --git a/dev-python/clang/Manifest b/dev-python/clang/Manifest
index e304b0d58e9f..1024f7cb7e03 100644
--- a/dev-python/clang/Manifest
+++ b/dev-python/clang/Manifest
@@ -8,9 +8,7 @@ DIST llvm-project-18.1.8.src.tar.xz 132067260 BLAKE2B a950492f1dbfb874dff63b1ffe
DIST llvm-project-18.1.8.src.tar.xz.sig 566 BLAKE2B 6ab0efc5b38d4483f4e32e8b85774b2edd5d88fdf29f23b88eb0b5130a7a7f0e80549612b025f927e92de4a08ff7c292cff224dbda91a5d598244e98f7ad0fbd SHA512 ddfd1e8a06756759af6cbe488c82a6d6a62ba91f3e8a0eb4cece561321824f5d165b08ed91010588790b76e19790931d2651b24dba8567e3b151d3cb43bec25b
DIST llvm-project-19.1.7.src.tar.xz 141249332 BLAKE2B 1259ed7f9aca7b35e89d818befdee20fd8bed4d2dc2c2c6f6f56451fd43d35ac03a0a5a406e142d22b25137999dc5b17471c196f8fcf79f20a8296832d900f6d SHA512 c7d63286d662707a9cd54758c9e3aaf52794a91900c484c4a6efa62d90bc719d5e7a345e4192feeb0c9fd11c82570d64677c781e5be1d645556b6aa018e47ec8
DIST llvm-project-19.1.7.src.tar.xz.sig 438 BLAKE2B 4015140f4ba77de45039bdbdfbaf6f30e75705123d067ea97175d91d7a5b6a75008df01d99ae7aa16aaa3b101f3f41e38d01f04158f95a261d617b3ede0254cd SHA512 195797b06ac80a742e0ccbc03a50dc06dd2e04377d783d5474e3e72c5a75203b60292b047929312a411d22b137a239943fba414a4d136a2be14cbff978eb6bda
-DIST llvm-project-20.1.5.src.tar.xz 147239812 BLAKE2B 992ebec16a11f32f234ba8b9f228f27939cdaeaaba474a08da2564ba3075bb10ab92a44be704666bdd77f8294321d43da40bb9245c411a86cd53cff88223a91f SHA512 3b7e657714fa9b943c75ec9eeb903018ab4713b1c3370746ba68893220729f178dabb971515741519f24e7ad0fa1dbce1345572bcf1d1fc1e5de97e4d2900a6b
-DIST llvm-project-20.1.5.src.tar.xz.sig 566 BLAKE2B c8be202b475726817893e1fe5fe2d3ab02ea1d3130ccfdf4c2c29b46e6aef79091de78e8a9aef59416ac1120bb3af6fdf47464db9b27b8fb4cb4194b0444e571 SHA512 c1bd30af5f7bfa6cac73994e9068d2791d9d27e86375fb15ad426422ad00cb43ade226c1b91ecc7daa950efae62c86300e4290d59649310f4e8fab5bdcb264fe
DIST llvm-project-20.1.6.src.tar.xz 147239668 BLAKE2B ccd86730fdea3dd40ebf054661b854b9332204389db2205e1e7b2a7f140fc187cacb34de68aa9a63c15c1e17b1d0976c080cfdee7e2cb6b0dd5570001d84be12 SHA512 aae652fdc61bda3f80b1340a3270b687355bfb6817f4bc05dac2268a2f8c5fc677eadb515cda7c8518005f1dc39e7ce5d1c34bbc5a25f106ef8e6c8f1ecfdf6d
DIST llvm-project-20.1.6.src.tar.xz.sig 566 BLAKE2B b7c48cfc1f6c9f513dadb8837b150e22043c215bf4958a8036c4077aeebdcf7c18223b0ce0ffbcacb2c7ddfeb06611b1022528ee04d3efda1ee1aa58367a9203 SHA512 0884048ff164a1f5caed0f1aabec173630a08ece98cf793d21b77fc969501e4f03daec39ae0fb124ad34a3436ceae66452e36a42c309f19790b7a87652482691
-DIST llvm-project-7dc7c155251c0008d5d59b84f0c9056365740f11.tar.gz 235921149 BLAKE2B 2867e313cd25fee6975da9bf65365fa51ed8780f3f8fc95983fb6e8f5b2c38c6d7f75a386b0ec2d74bafad74472973f4e4e603a5a0754465ac2b75942b8e90c6 SHA512 f8bc383ff2a1af836357150efa5728c7df3cd862f56ffaf12b5fc56ef631f1048276ff00b89fcf4d224576fa1eda9811d971886aae0855a4d29178060eb89a49
+DIST llvm-project-23d0c7348aacdfcb145a69e533a14131bae830cc.tar.gz 237123683 BLAKE2B 6713c82809a9793510615f54c3ad9b8b1d2449939b0c48ab10acd1a0db43b712b229356173c90b514bc91c08e9b2be7f8e54f797661b9743ae8c3aaa9acee15f SHA512 de94ab38f1d46124638d6e0650142a1612db27871ffa339c56224aba94a77f8ae6eb8c68ad0a5ed3fe000d7bff309d324cdb66a095be3c8211abfe600659bf1a
DIST llvm-project-f8ca9e59cb438bd35b29a6d7cf6d72f50673aec9.tar.gz 236069626 BLAKE2B 5547770a22e5fd0240c0e435d0b0af0ebd789aa72d6829250917f2df605f9a95c6756bc1afc9b611b176c1ba8394c757b94789511b98b38c6ade6cca4c9ce7f6 SHA512 b1fffd7d4f5ede9bcda759bc59cdd47373a44a3bbd31a50d1d213e438a59f1da3cc96780a1d17ecaeb14454822921476406a6c37493354169f72e1fab7b3a3be
diff --git a/dev-python/clang/clang-20.1.5.ebuild b/dev-python/clang/clang-20.1.5.ebuild
deleted file mode 100644
index 1f732ff9189d..000000000000
--- a/dev-python/clang/clang-20.1.5.ebuild
+++ /dev/null
@@ -1,54 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-inherit llvm.org python-r1
-
-DESCRIPTION="Python bindings for llvm-core/clang"
-HOMEPAGE="https://llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-# The module is opening libclang.so directly, and doing some blasphemy
-# on top of it.
-DEPEND="
- >=llvm-core/clang-${PV}:*
- !llvm-core/llvm:0[clang(-),python(-)]
- !llvm-core/clang:0[python(-)]
-"
-RDEPEND="
- ${DEPEND}
- ${PYTHON_DEPS}
-"
-BDEPEND="
- ${PYTHON_DEPS}
- test? (
- llvm-core/clang:${LLVM_MAJOR}
- )
-"
-
-LLVM_COMPONENTS=( clang/bindings/python )
-llvm.org_set_globals
-
-python_test() {
- # tests rely on results from a specific clang version, so override
- # the search path
- local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
- local -x CLANG_NO_DEFAULT_CONFIG=1
- "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
-}
-
-src_test() {
- python_foreach_impl python_test
-}
-
-src_install() {
- python_foreach_impl python_domodule clang
-}
diff --git a/dev-python/clang/clang-21.0.0_pre20250523.ebuild b/dev-python/clang/clang-21.0.0_pre20250607.ebuild
index 4dd3bb26996f..4dd3bb26996f 100644
--- a/dev-python/clang/clang-21.0.0_pre20250523.ebuild
+++ b/dev-python/clang/clang-21.0.0_pre20250607.ebuild
diff --git a/dev-python/docker/docker-7.1.0.ebuild b/dev-python/docker/docker-7.1.0.ebuild
index ca683e55a204..92aa87a97c75 100644
--- a/dev-python/docker/docker-7.1.0.ebuild
+++ b/dev-python/docker/docker-7.1.0.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_COMPAT=( python3_{11..14} )
inherit distutils-r1
diff --git a/dev-python/httpx-socks/Manifest b/dev-python/httpx-socks/Manifest
index dd284b97eaf5..03a0729a64aa 100644
--- a/dev-python/httpx-socks/Manifest
+++ b/dev-python/httpx-socks/Manifest
@@ -1 +1,2 @@
DIST httpx-socks-0.10.0.gh.tar.gz 15429 BLAKE2B fcc96ce3ca5a68a65d89a617ba832961a800d65d543a9f6edfa794fac03ecbb6b2f35364a58f584b4b44c96b4ffc137835f189e370ad1dfc1d373853de4856d3 SHA512 b8c513dece25b10b653a147b98bb8f173ead8c4200d67af96675e33a12e151e2f11368ebd12c35b96fe7fd94797db1a009cc86921d1f9defcd553bffa2f1f2d4
+DIST httpx-socks-0.10.1.gh.tar.gz 15481 BLAKE2B a383b6de2b2d517c27fd202f880b51556f530bb16982d4d7d2d1b1e3f98457093b3131bb02f19599e818e85204de124689064bd9e440ac6cbcb7dd59bc5a1600 SHA512 2b8d4cbc2aba7366b486a8be5d07fa65f95cea1d61caa3a8536dc09eec9769b1833c1b383d9fdf175f11ca59e84222cacab0109d92fa13a7c706f1531824052a
diff --git a/dev-python/httpx-socks/httpx-socks-0.10.1.ebuild b/dev-python/httpx-socks/httpx-socks-0.10.1.ebuild
new file mode 100644
index 000000000000..6631eceb9399
--- /dev/null
+++ b/dev-python/httpx-socks/httpx-socks-0.10.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Proxy (HTTP, SOCKS) transports for httpx"
+HOMEPAGE="
+ https://github.com/romis2012/httpx-socks/
+ https://pypi.org/project/httpx-socks/
+"
+# no tests in sdist, as of 0.7.6
+SRC_URI="
+ https://github.com/romis2012/httpx-socks/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/httpx-0.28.0[${PYTHON_USEDEP}]
+ >=dev-python/httpcore-1.0[${PYTHON_USEDEP}]
+ >=dev-python/python-socks-2.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/async-timeout-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/hypercorn-0.14.3[${PYTHON_USEDEP}]
+ >=dev-python/pytest-asyncio-0.18.3[${PYTHON_USEDEP}]
+ >=dev-python/pytest-trio-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/starlette-0.25.0[${PYTHON_USEDEP}]
+ >=dev-python/tiny-proxy-0.1.1[${PYTHON_USEDEP}]
+ >=dev-python/trio-0.22.0[${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.6.3[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin dependencies
+ sed -i -e 's:,<[0-9.]*::' setup.py || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/jsonschema-path/Manifest b/dev-python/jsonschema-path/Manifest
index 1db1964dc2ca..5c1d84c7d6a0 100644
--- a/dev-python/jsonschema-path/Manifest
+++ b/dev-python/jsonschema-path/Manifest
@@ -1,2 +1,3 @@
DIST jsonschema-path-0.3.4.gh.tar.gz 40126 BLAKE2B cc7884ab41a0cdcfbd292831f9ed2a03f82af30f4482499c7940633741560228df59c4157457e8c44c57fb73f0f6142f10ad23d36f444fea71a84cf6309d953d SHA512 85b791a374d61bedf66a0ca44b6906ec74f02ffe991c1cb220267c85c0e7b493375d712d7ca0828681c9c15f170bc29d4b808b00778895fb13f1f7ff3cdf2a9c
DIST jsonschema-path-0.4.0a1.gh.tar.gz 52038 BLAKE2B 2429946da29b4da31655018d93f5af474c7a5277f3dfacd9f26439f28e85d2b85225d0f2e5c68a254122cb4376fb9a7a969e81a2541e726c275f32fba579ce64 SHA512 285cd176127684975adc6f03eeb43b6297208761ec8dc5827ff1e60efb4be71fca18a8c1e9e29deb741a8a295b395b5e842c0350ff623fd363298216ec8072b9
+DIST jsonschema-path-0.4.0b1.gh.tar.gz 52171 BLAKE2B 8c935c147567c91562508a9ea568be0409d5e1837e45d8e2696905923db6bc2ae1191966bf718ea9629a9f4eebbf6f435f56b018fb3d819f5690e8d209256fe1 SHA512 12f1e16e700b3634fbd2b1f2e37e05e99fccb011b18d7f59b5f8592aa2551936b628f4a58bb18b50b0f88e542fd827bde8594236d13ee5a3e5cab7e923b87650
diff --git a/dev-python/jsonschema-path/jsonschema-path-0.4.0_beta1.ebuild b/dev-python/jsonschema-path/jsonschema-path-0.4.0_beta1.ebuild
new file mode 100644
index 000000000000..0f402fee8c6c
--- /dev/null
+++ b/dev-python/jsonschema-path/jsonschema-path-0.4.0_beta1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/_beta/b}
+DESCRIPTION="JSONSchema Spec with object-oriented paths"
+HOMEPAGE="
+ https://pypi.org/project/jsonschema-path/
+ https://github.com/p1c2u/jsonschema-path/
+"
+SRC_URI="
+ https://github.com/p1c2u/jsonschema-path/archive/${PV/_beta/b}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/pathable-0.5.0_beta1[${PYTHON_USEDEP}]
+ >=dev-python/pyrsistent-0.20.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/referencing-0.28.1[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ # remove random pins
+ sed -i -e 's:\^:>=:' -e 's:<[0-9.]\+:*:' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index e304b0d58e9f..1024f7cb7e03 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -8,9 +8,7 @@ DIST llvm-project-18.1.8.src.tar.xz 132067260 BLAKE2B a950492f1dbfb874dff63b1ffe
DIST llvm-project-18.1.8.src.tar.xz.sig 566 BLAKE2B 6ab0efc5b38d4483f4e32e8b85774b2edd5d88fdf29f23b88eb0b5130a7a7f0e80549612b025f927e92de4a08ff7c292cff224dbda91a5d598244e98f7ad0fbd SHA512 ddfd1e8a06756759af6cbe488c82a6d6a62ba91f3e8a0eb4cece561321824f5d165b08ed91010588790b76e19790931d2651b24dba8567e3b151d3cb43bec25b
DIST llvm-project-19.1.7.src.tar.xz 141249332 BLAKE2B 1259ed7f9aca7b35e89d818befdee20fd8bed4d2dc2c2c6f6f56451fd43d35ac03a0a5a406e142d22b25137999dc5b17471c196f8fcf79f20a8296832d900f6d SHA512 c7d63286d662707a9cd54758c9e3aaf52794a91900c484c4a6efa62d90bc719d5e7a345e4192feeb0c9fd11c82570d64677c781e5be1d645556b6aa018e47ec8
DIST llvm-project-19.1.7.src.tar.xz.sig 438 BLAKE2B 4015140f4ba77de45039bdbdfbaf6f30e75705123d067ea97175d91d7a5b6a75008df01d99ae7aa16aaa3b101f3f41e38d01f04158f95a261d617b3ede0254cd SHA512 195797b06ac80a742e0ccbc03a50dc06dd2e04377d783d5474e3e72c5a75203b60292b047929312a411d22b137a239943fba414a4d136a2be14cbff978eb6bda
-DIST llvm-project-20.1.5.src.tar.xz 147239812 BLAKE2B 992ebec16a11f32f234ba8b9f228f27939cdaeaaba474a08da2564ba3075bb10ab92a44be704666bdd77f8294321d43da40bb9245c411a86cd53cff88223a91f SHA512 3b7e657714fa9b943c75ec9eeb903018ab4713b1c3370746ba68893220729f178dabb971515741519f24e7ad0fa1dbce1345572bcf1d1fc1e5de97e4d2900a6b
-DIST llvm-project-20.1.5.src.tar.xz.sig 566 BLAKE2B c8be202b475726817893e1fe5fe2d3ab02ea1d3130ccfdf4c2c29b46e6aef79091de78e8a9aef59416ac1120bb3af6fdf47464db9b27b8fb4cb4194b0444e571 SHA512 c1bd30af5f7bfa6cac73994e9068d2791d9d27e86375fb15ad426422ad00cb43ade226c1b91ecc7daa950efae62c86300e4290d59649310f4e8fab5bdcb264fe
DIST llvm-project-20.1.6.src.tar.xz 147239668 BLAKE2B ccd86730fdea3dd40ebf054661b854b9332204389db2205e1e7b2a7f140fc187cacb34de68aa9a63c15c1e17b1d0976c080cfdee7e2cb6b0dd5570001d84be12 SHA512 aae652fdc61bda3f80b1340a3270b687355bfb6817f4bc05dac2268a2f8c5fc677eadb515cda7c8518005f1dc39e7ce5d1c34bbc5a25f106ef8e6c8f1ecfdf6d
DIST llvm-project-20.1.6.src.tar.xz.sig 566 BLAKE2B b7c48cfc1f6c9f513dadb8837b150e22043c215bf4958a8036c4077aeebdcf7c18223b0ce0ffbcacb2c7ddfeb06611b1022528ee04d3efda1ee1aa58367a9203 SHA512 0884048ff164a1f5caed0f1aabec173630a08ece98cf793d21b77fc969501e4f03daec39ae0fb124ad34a3436ceae66452e36a42c309f19790b7a87652482691
-DIST llvm-project-7dc7c155251c0008d5d59b84f0c9056365740f11.tar.gz 235921149 BLAKE2B 2867e313cd25fee6975da9bf65365fa51ed8780f3f8fc95983fb6e8f5b2c38c6d7f75a386b0ec2d74bafad74472973f4e4e603a5a0754465ac2b75942b8e90c6 SHA512 f8bc383ff2a1af836357150efa5728c7df3cd862f56ffaf12b5fc56ef631f1048276ff00b89fcf4d224576fa1eda9811d971886aae0855a4d29178060eb89a49
+DIST llvm-project-23d0c7348aacdfcb145a69e533a14131bae830cc.tar.gz 237123683 BLAKE2B 6713c82809a9793510615f54c3ad9b8b1d2449939b0c48ab10acd1a0db43b712b229356173c90b514bc91c08e9b2be7f8e54f797661b9743ae8c3aaa9acee15f SHA512 de94ab38f1d46124638d6e0650142a1612db27871ffa339c56224aba94a77f8ae6eb8c68ad0a5ed3fe000d7bff309d324cdb66a095be3c8211abfe600659bf1a
DIST llvm-project-f8ca9e59cb438bd35b29a6d7cf6d72f50673aec9.tar.gz 236069626 BLAKE2B 5547770a22e5fd0240c0e435d0b0af0ebd789aa72d6829250917f2df605f9a95c6756bc1afc9b611b176c1ba8394c757b94789511b98b38c6ade6cca4c9ce7f6 SHA512 b1fffd7d4f5ede9bcda759bc59cdd47373a44a3bbd31a50d1d213e438a59f1da3cc96780a1d17ecaeb14454822921476406a6c37493354169f72e1fab7b3a3be
diff --git a/dev-python/lit/lit-20.1.5.ebuild b/dev-python/lit/lit-20.1.5.ebuild
deleted file mode 100644
index 2370c09d76de..000000000000
--- a/dev-python/lit/lit-20.1.5.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit distutils-r1 llvm.org
-
-DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
-HOMEPAGE="https://llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-# Tests require 'FileCheck' and 'not' utilities (from llvm)
-BDEPEND="
- test? (
- dev-python/psutil[${PYTHON_USEDEP}]
- llvm-core/llvm
- )
-"
-
-LLVM_COMPONENTS=( llvm/utils/lit )
-llvm.org_set_globals
-
-# TODO: move the manpage generation here (from llvm-core/llvm)
-
-src_prepare() {
- # flaky test
- # https://github.com/llvm/llvm-project/issues/72022
- rm tests/progress-bar.py || die
-
- cd "${WORKDIR}" || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- local -x LIT_PRESERVES_TMP=1
- local litflags=$(get_lit_flags)
- ./lit.py ${litflags//;/ } tests || die
-}
diff --git a/dev-python/lit/lit-21.0.0_pre20250523.ebuild b/dev-python/lit/lit-21.0.0_pre20250607.ebuild
index fdf920bda34f..fdf920bda34f 100644
--- a/dev-python/lit/lit-21.0.0_pre20250523.ebuild
+++ b/dev-python/lit/lit-21.0.0_pre20250607.ebuild
diff --git a/dev-python/numpy/Manifest b/dev-python/numpy/Manifest
index 4ec2b8f4581f..0249cdc444c0 100644
--- a/dev-python/numpy/Manifest
+++ b/dev-python/numpy/Manifest
@@ -3,4 +3,5 @@ DIST numpy-2.2.2.tar.gz 20233295 BLAKE2B 5b95ae4ff511468e55c0367066e9d4b8939fd1d
DIST numpy-2.2.4.tar.gz 20270701 BLAKE2B 608ec0002af890cee76c0d09d1c96ea320c297f8dcb11dc186c1ad7e5b1ab3e8f0023bc14a508ecc97baf74cb388e067824abaf1a6a22e362b34ab4625e07fe8 SHA512 7500cb7a336c2e7762a87d902fecc7153cd991f05a638e1b6740598c044abe3b49d06819b66fa29d99644b3a4efc281fda726795f751ba8c65191f61e7d0d511
DIST numpy-2.2.5.tar.gz 20273920 BLAKE2B c2978e49350fd96969149dd723ca28b9ad643c7fa33f99f25565c571e916c9c1be6e46fe9a8955cd154e2a0ce5b110500ad6df6e8cc9499560d7e8de9dc25227 SHA512 3cc8a8876d659c9c740558c0814795464e44865376efa62cecf8a1265a44774ecb58dd7827c34bfd37675215d08cd66de249663e6e7ae57cd929749e4829ccdf
DIST numpy-2.2.6.tar.gz 20276440 BLAKE2B 597ebbc72b2b3901bba4e0946f4f63ff13baf3b04d2f44d6e1ce8d05112f5d7191cb2e2f80e20006f0bc57a5a3f395fcc6003d9593e41b057394c12ad44f69f7 SHA512 00c82476c6cc8e68c4cd3210896172d91bdb52a46676931d173a3bbd772b29cebc8e819dfbbaf621eba9225fff3fa3f81426fe864d8812de4ff2975e7ac5c338
+DIST numpy-2.3.0.tar.gz 20382813 BLAKE2B 684eed2d207b633feec03cb7c9517e4dff30033b498e6622448d278f2e3b442fa9f08a30c9d8d74f746d0524b9e4725348ccae10f1f3952df03b72d60af7f5c6 SHA512 d3fdae873fc50a692135045ee7fb542b0206ff167ffbe575a975ace4786b2a2f2d4b52034de3f61653feddffb5a850f5b2a499a32ec5214c0872c20b319d4d65
DIST numpy-2.3.0rc1.tar.gz 20386926 BLAKE2B d27aab2259f1a1f29a16a4a121127989178156e0d1f12f932811e7d203dfbac042384ef0c1abd6190071d041d730c0abca363a7891edfbe988988de790ad7dc6 SHA512 e3a6cd2c72b3bb86d9764466fd8253717f52a5dc859abe5eb84f8a742214723d4ef62eb1e74258f4e3d66885a5e7dd76738791c8aa1f7437aee91ad722e3ff09
diff --git a/dev-python/numpy/numpy-2.3.0.ebuild b/dev-python/numpy/numpy-2.3.0.ebuild
new file mode 100644
index 000000000000..0107b72d284b
--- /dev/null
+++ b/dev-python/numpy/numpy-2.3.0.ebuild
@@ -0,0 +1,199 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+FORTRAN_NEEDED=lapack
+
+inherit distutils-r1 flag-o-matic fortran-2 pypi
+
+DESCRIPTION="Fast array and numerical python library"
+HOMEPAGE="
+ https://numpy.org/
+ https://github.com/numpy/numpy/
+ https://pypi.org/project/numpy/
+"
+
+LICENSE="BSD"
+SLOT="0/2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+# +lapack because the internal fallbacks are pretty slow. Building without blas
+# is barely supported anyway, see bug #914358.
+IUSE="big-endian +lapack"
+
+RDEPEND="
+ lapack? (
+ >=virtual/cblas-3.8
+ >=virtual/lapack-3.8
+ )
+"
+BDEPEND="
+ ${RDEPEND}
+ >=dev-build/meson-1.5.2
+ >=dev-python/cython-3.0.6[${PYTHON_USEDEP}]
+ lapack? (
+ virtual/pkgconfig
+ )
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/cffi-1.14.0[${PYTHON_USEDEP}]
+ ' 'python*')
+ dev-python/charset-normalizer[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5.8.0[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+ )
+"
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+ # https://bugs.gentoo.org/925367
+ vrndq_f32
+)
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ local PATCHES=(
+ # https://github.com/google/highway/issues/2577
+ # github.com/google/highway/commit/7cde540171a1718a9bdfa8f896d70e47eb0785d5
+ "${FILESDIR}/${PN}-2.2.6-gcc16.patch"
+ )
+
+ # bug #922457
+ filter-lto
+ # https://github.com/numpy/numpy/issues/25004
+ append-flags -fno-strict-aliasing
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ DISTUTILS_ARGS=(
+ -Dallow-noblas=$(usex !lapack true false)
+ -Dblas=$(usev lapack cblas)
+ -Dlapack=$(usev lapack lapack)
+ # TODO: cpu-* options
+ )
+}
+
+python_test() {
+ # don't run tests that require more than 4 GiB of RAM (per process)
+ local -x NPY_AVAILABLE_MEM="4 GiB"
+
+ local EPYTEST_DESELECT=(
+ # Very disk-and-memory-hungry
+ numpy/lib/tests/test_io.py::TestSavezLoad::test_closing_fid
+ numpy/lib/tests/test_io.py::TestSavezLoad::test_closing_zipfile_after_load
+
+ # Precision problems
+ numpy/_core/tests/test_umath_accuracy.py::TestAccuracy::test_validate_transcendentals
+
+ numpy/typing/tests/test_typing.py
+ )
+
+ if [[ $(uname -m) == armv8l ]]; then
+ # Degenerate case of arm32 chroot on arm64, bug #774108
+ EPYTEST_DESELECT+=(
+ numpy/_core/tests/test_cpu_features.py::Test_ARM_Features::test_features
+ )
+ fi
+
+ case ${ARCH} in
+ arm)
+ EPYTEST_DESELECT+=(
+ # TODO: warnings
+ numpy/_core/tests/test_umath.py::TestSpecialFloats::test_unary_spurious_fpexception
+
+ # TODO
+ numpy/_core/tests/test_function_base.py::TestLinspace::test_denormal_numbers
+ numpy/f2py/tests/test_kind.py::TestKind::test_real
+ numpy/f2py/tests/test_kind.py::TestKind::test_quad_precision
+
+ # require too much memory
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[complex128]'
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[float64]'
+ )
+ ;;
+ hppa)
+ EPYTEST_DESELECT+=(
+ # https://bugs.gentoo.org/942689
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype[int]"
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype[float]"
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype_bytes_str_equivalence[datetime64]"
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype_bytes_str_equivalence[timedelta64]"
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype_bytes_str_equivalence[<f]"
+ "numpy/_core/tests/test_dtype.py::TestPickling::test_pickle_dtype[dt28]"
+ numpy/f2py/tests/test_kind.py::TestKind::test_real
+ numpy/f2py/tests/test_kind.py::TestKind::test_quad_precision
+ numpy/tests/test_ctypeslib.py::TestAsArray::test_reference_cycles
+ numpy/tests/test_ctypeslib.py::TestAsArray::test_segmentation_fault
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_scalar
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_subarray
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_structure
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_structure_aligned
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_union
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_padded_union
+ )
+ ;;
+ ppc|x86)
+ EPYTEST_DESELECT+=(
+ # require too much memory
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[complex128]'
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[float64]'
+ )
+ ;;
+ esac
+
+ if [[ ${CHOST} == powerpc64le-* ]]; then
+ EPYTEST_DESELECT+=(
+ # long double thingy
+ numpy/_core/tests/test_scalarprint.py::TestRealScalars::test_ppc64_ibm_double_double128
+ )
+ fi
+
+ if use big-endian; then
+ EPYTEST_DESELECT+=(
+ # ppc64 and sparc
+ numpy/linalg/tests/test_linalg.py::TestDet::test_generalized_sq_cases
+ numpy/linalg/tests/test_linalg.py::TestDet::test_sq_cases
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f77[s1]"
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f77[t1]"
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f90[s1]"
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f90[t1]"
+ )
+ fi
+
+ if ! has_version -b "~${CATEGORY}/${P}[${PYTHON_USEDEP}]" ; then
+ # depends on importing numpy.random from system namespace
+ EPYTEST_DESELECT+=(
+ 'numpy/random/tests/test_extending.py::test_cython'
+ )
+ fi
+
+ if has_version ">=dev-python/setuptools-74[${PYTHON_USEDEP}]"; then
+ # msvccompiler removal
+ EPYTEST_DESELECT+=(
+ numpy/tests/test_public_api.py::test_all_modules_are_expected_2
+ numpy/tests/test_public_api.py::test_api_importable
+ )
+ EPYTEST_IGNORE+=(
+ numpy/distutils/tests/test_mingw32ccompiler.py
+ numpy/distutils/tests/test_system_info.py
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ epytest -p rerunfailures --reruns=5
+}
+
+python_install_all() {
+ local DOCS=( LICENSE.txt README.md THANKS.txt )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/openapi-spec-validator/Manifest b/dev-python/openapi-spec-validator/Manifest
index 333cd068b6cc..a6959214c7a6 100644
--- a/dev-python/openapi-spec-validator/Manifest
+++ b/dev-python/openapi-spec-validator/Manifest
@@ -1 +1,3 @@
DIST openapi_spec_validator-0.7.1.tar.gz 37985 BLAKE2B e4e6995bba18ea9fb65be28b2156c73afd3c5074a3fbd5b83e03534a1bb5fdde2e5a586aa161e0f9fc64985d83ae995f46ff2704a4010a708f9e0cf18f97a8a8 SHA512 c2a4be4a945058a4e77857bf0d6dabf2bef27c25fbe72947db3ac011c5a60d2d0159ef0d1d44571152c5ffdc650f7d3d6c54f82834e499e9506fb474b7c9b270
+DIST openapi_spec_validator-0.7.2.tar.gz 36855 BLAKE2B 87914f72a4bcaa2a1b190902b4649dd46e0c5079a2dd8d56839f795aac4a2df4c1563b7529ee4db87a3f90607afbb74070525994b0a8fa5bb882514c952de704 SHA512 83ca3f7c731680962c113a0982592842cc42df4f7f5f21bcbd9ba28c1c7b5376fe8197c43b15b0b34bf506b6ba59eb928aa5b73372c7395da7c950fb4cdc1584
+DIST openapi_spec_validator-0.8.0b1.tar.gz 37067 BLAKE2B 63db2482dbde6e2aab4c7030c5414359368c93483f9dfb9f0ee18842f404ac963ae2d6985592ad79afd382bc4326380021f5a9a49cd1fc44e1ca52e505d07c31 SHA512 d7b112ccd473fb026f9241894f9d8709c50f5b500d1bff945f40ce197f6511bc15ec6f8f8b346243f6d9d4ee803cb7268e172bfce2f1bff2a87bc8c5907a166d
diff --git a/dev-python/openapi-spec-validator/openapi-spec-validator-0.7.2.ebuild b/dev-python/openapi-spec-validator/openapi-spec-validator-0.7.2.ebuild
new file mode 100644
index 000000000000..09f12228635f
--- /dev/null
+++ b/dev-python/openapi-spec-validator/openapi-spec-validator-0.7.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI 2.0 (aka Swagger) and OpenAPI 3.0 spec validator"
+HOMEPAGE="
+ https://github.com/python-openapi/openapi-spec-validator/
+ https://pypi.org/project/openapi-spec-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jsonschema-4.18.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-path-0.3.1[${PYTHON_USEDEP}]
+ >=dev-python/lazy-object-proxy-1.7.1[${PYTHON_USEDEP}]
+ >=dev-python/openapi-schema-validator-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/integration/test_shortcuts.py::TestPetstoreV2Example
+ tests/integration/test_shortcuts.py::TestApiV2WithExampe
+ tests/integration/test_shortcuts.py::TestPetstoreV2ExpandedExample
+ tests/integration/test_shortcuts.py::TestPetstoreExample
+ tests/integration/test_shortcuts.py::TestRemoteValidatev2SpecUrl
+ tests/integration/test_shortcuts.py::TestRemoteValidatev30SpecUrl
+ tests/integration/test_shortcuts.py::TestApiWithExample
+ tests/integration/test_shortcuts.py::TestPetstoreExpandedExample
+ tests/integration/test_validate.py::TestPetstoreExample
+ tests/integration/test_validate.py::TestApiWithExample
+ tests/integration/test_validate.py::TestPetstoreExpandedExample
+ tests/integration/validation/test_validators.py
+)
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0_beta1.ebuild b/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0_beta1.ebuild
new file mode 100644
index 000000000000..a922b219a272
--- /dev/null
+++ b/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0_beta1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI 2.0 (aka Swagger) and OpenAPI 3.0 spec validator"
+HOMEPAGE="
+ https://github.com/python-openapi/openapi-spec-validator/
+ https://pypi.org/project/openapi-spec-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/jsonschema-4.24.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-path-0.4.0_beta1[${PYTHON_USEDEP}]
+ >=dev-python/lazy-object-proxy-1.7.1[${PYTHON_USEDEP}]
+ >=dev-python/openapi-schema-validator-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/integration/test_shortcuts.py::TestPetstoreV2Example
+ tests/integration/test_shortcuts.py::TestApiV2WithExampe
+ tests/integration/test_shortcuts.py::TestPetstoreV2ExpandedExample
+ tests/integration/test_shortcuts.py::TestPetstoreExample
+ tests/integration/test_shortcuts.py::TestRemoteValidatev2SpecUrl
+ tests/integration/test_shortcuts.py::TestRemoteValidatev30SpecUrl
+ tests/integration/test_shortcuts.py::TestApiWithExample
+ tests/integration/test_shortcuts.py::TestPetstoreExpandedExample
+ tests/integration/test_validate.py::TestPetstoreExample
+ tests/integration/test_validate.py::TestApiWithExample
+ tests/integration/test_validate.py::TestPetstoreExpandedExample
+ tests/integration/validation/test_validators.py
+)
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pathable/Manifest b/dev-python/pathable/Manifest
index c5bbdb04b5c0..79d1fd0124e3 100644
--- a/dev-python/pathable/Manifest
+++ b/dev-python/pathable/Manifest
@@ -1,2 +1,3 @@
DIST pathable-0.4.4.gh.tar.gz 21381 BLAKE2B f0ba3579204a636948f96259bc67b3a6e923af1de7b6fcf4021152c9482f82fc362d5d50cb1bcd6b5393c49d2914c6d36e941647754ef7bc2554722ad02f38ad SHA512 4b1ec32f7e952749ec0384036e7becf5343e92cbec9160627c2a678e314d7387bd4ad56a3953171038a38102c715469e973218cb3995df414bd9dd750986e046
DIST pathable-0.5.0b1.gh.tar.gz 32636 BLAKE2B 6052ac15b68f0b0492667ffc805cfec3d433dae1d0d90a0baed7fff932459bd8ec8bf093b271225e5e0d6d9641aed6ee499a85c077c323c40ed2a413e7192c31 SHA512 bbad392866f9f1741eee53646f1f3c530d53644441d05f48bc9ed21299cc49ef7ae9036867bc5e4991f00a13897564eda7e4664d0c769290744d69d83b854ddf
+DIST pathable-0.5.0b2.gh.tar.gz 32674 BLAKE2B d34e3e27a56cc491c63beaba4d70122a445f7c07c063abaa26cf7cb4e5b7070867eb6eb0e4c01627c2123ee0654f45a89b9b59a3995f2e5e52693fdc60e590bf SHA512 5a20c97c98a7345b1ec0d1d7cb1d451559091ffe4a16bd79710db3ee6f4d36834e3e334ec3bdc6a2efc615dcee0a9fab5435ad2d554c16dc2270d233ac4cf540
diff --git a/dev-python/pathable/pathable-0.5.0_beta2.ebuild b/dev-python/pathable/pathable-0.5.0_beta2.ebuild
new file mode 100644
index 000000000000..17808b282246
--- /dev/null
+++ b/dev-python/pathable/pathable-0.5.0_beta2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/_beta/b}
+DESCRIPTION="Object-oriented paths"
+HOMEPAGE="
+ https://pypi.org/project/pathable/
+ https://github.com/p1c2u/pathable
+"
+SRC_URI="
+ https://github.com/p1c2u/pathable/archive/${PV/_beta/b}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+RDEPEND="
+ =dev-python/pyrsistent-0.20*[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/--cov/d' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/uv/uv-0.7.8.ebuild b/dev-python/uv/uv-0.7.8.ebuild
index 4b2ec216d8bf..e7cbc2a0ba4c 100644
--- a/dev-python/uv/uv-0.7.8.ebuild
+++ b/dev-python/uv/uv-0.7.8.ebuild
@@ -46,7 +46,7 @@ LICENSE+="
# ring crate
LICENSE+=" openssl"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~loong ~ppc ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm arm64 ~loong ~ppc ppc64 ~riscv x86"
IUSE="test"
RESTRICT="test"
PROPERTIES="test_network"